### Enumeration

# Gtk WindowGravity

since: 4.20

#### Declaration

    enum Gtk.WindowGravity

#### Description [src]

Determines which point or edge of a window is meant to remain fixed when a window changes size.

Available since: 4.20

#### Members

`GTK_WINDOW_GRAVITY_TOP_LEFT`

  The top left corner.

  - Value: `0`
  - Available since: 4.20
`GTK_WINDOW_GRAVITY_TOP`

  The top edge.

  - Value: `1`
  - Available since: 4.20
`GTK_WINDOW_GRAVITY_TOP_RIGHT`

  The top right corner.

  - Value: `2`
  - Available since: 4.20
`GTK_WINDOW_GRAVITY_LEFT`

  The left edge.

  - Value: `3`
  - Available since: 4.20
`GTK_WINDOW_GRAVITY_CENTER`

  The center pointer.

  - Value: `4`
  - Available since: 4.20
`GTK_WINDOW_GRAVITY_RIGHT`

  The right edge.

  - Value: `5`
  - Available since: 4.20
`GTK_WINDOW_GRAVITY_BOTTOM_LEFT`

  The bottom left corner.

  - Value: `6`
  - Available since: 4.20
`GTK_WINDOW_GRAVITY_BOTTOM`

  The bottom edge.

  - Value: `7`
  - Available since: 4.20
`GTK_WINDOW_GRAVITY_BOTTOM_RIGHT`

  The bottom right corner.

  - Value: `8`
  - Available since: 4.20
`GTK_WINDOW_GRAVITY_TOP_START`

  The top left or top right corner, depending on the text direction.

  - Value: `9`
  - Available since: 4.20
`GTK_WINDOW_GRAVITY_TOP_END`

  The top right or top left corner, depending on the text direction.

  - Value: `10`
  - Available since: 4.20
`GTK_WINDOW_GRAVITY_START`

  The left or right edge, depending on the text direction.

  - Value: `11`
  - Available since: 4.20
`GTK_WINDOW_GRAVITY_END`

  The right or left edge, depending on the text direction.

  - Value: `12`
  - Available since: 4.20
`GTK_WINDOW_GRAVITY_BOTTOM_START`

  The bottom left or top right corner, depending on the text direction.

  - Value: `13`
  - Available since: 4.20
`GTK_WINDOW_GRAVITY_BOTTOM_END`

  The bottom right or top left corner, depending on the text direction.

  - Value: `14`
  - Available since: 4.20